<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for xmlV2Response StructType
 * @subpackage Structs
 */
class XmlV2Response extends XmlResponse
{
    /**
     * The fields
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\Fields
     */
    public $fields;
    /**
     * Constructor method for xmlV2Response
     * @uses XmlV2Response::setFields()
     * @param \StructType\Fields $fields
     */
    public function __construct(\StructType\Fields $fields = null)
    {
        $this
            ->setFields($fields);
    }
    /**
     * Get fields value
     * @return \StructType\Fields|null
     */
    public function getFields()
    {
        return $this->fields;
    }
    /**
     * Set fields value
     * @param \StructType\Fields $fields
     * @return \StructType\XmlV2Response
     */
    public function setFields(\StructType\Fields $fields = null)
    {
        $this->fields = $fields;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XmlV2Response
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
